#include<iostream>
#include<fstream>
#include<cassert>
#include"membership.h"
#include"mem_functions.h"
#include <ezwin.h>
#include"circle.h"
#include"shape.h"
#include "SimpleWindow.h"

using namespace std;

fstream db_file;
fstream id_db_file;

struct member m;
int max_mem_id;

int check = 0;

SimpleWindow w("WELCOME SCREEN",15.0,12.0,Position(7.0,3.0));


CircleShape c1(w,Position(4.0,4.5),Magenta,0.2);
CircleShape c2(w,Position(4.0,5.5),Magenta,0.2);
CircleShape c3(w,Position(4.0,6.5),Magenta,0.2);
CircleShape c4(w,Position(4.0,7.5),Magenta,0.2);
CircleShape c5(w,Position(4.0,8.5),Magenta,0.2);
CircleShape c6(w,Position(4.0,9.5),Magenta,0.2);

int wMouseClick(const Position &);



// MAIN FUNCTION STATRS HERE
int ApiMain()
{ 	system("clear");
	id_db_file.open(ID_DB_FILE_NAME , fstream::in|fstream::out|fstream::binary);

	id_db_file.read((char*)&max_mem_id , sizeof(int));
 	
	id_db_file.close();

	 
    w.Open();
    assert(w.GetStatus() == WindowOpen);      
  
    w.RenderText(Position(5.5,3.0),Position(9.5,4.0),"WELCOME TO REVERSIDE CLUB" , Blue,Yellow);
    w.RenderText(Position(3.6,4.0),Position(9.0,5.0),"ABOUT US" , Blue,Yellow);
    w.RenderText(Position(4.0,5.0),Position(9.0,6.0),"MEMBERSHIP" , Blue,Yellow);
    w.RenderText(Position(2.9,6.0),Position(9.0,7.0),"ROOMS" , Blue,Yellow);
    w.RenderText(Position(2.8,7.0),Position(9.0,8.0),"FOOD" , Blue,Yellow);
    w.RenderText(Position(3.5,8.0),Position(9.0,9.0),"SERVICES" , Blue,Yellow);
    w.RenderText(Position(2.7,9.0),Position(9.0,10.0),"EXIT" , Blue,Yellow);	
	 

    c1.Draw();
    c2.Draw();
    c3.Draw();
    c4.Draw();
    c5.Draw();
    c6.Draw();    

   
  float x,y; 
  float i,j;


  for(x=0.0;x<15.0;x+=0.2) 
  {
    w.RenderLine(Position(x,0.0), Position(0.0,12.0-x),Green, 0.0);
    w.RenderLine(Position(15.0,x), Position(15.0-x,12.0),Red, 0.0);
  }    
  
    w.SetMouseClickCallback(wMouseClick);
     
return 0;

}

int wMouseClick(const Position &p)
{
  int flag=0;
  float x, y ;
  char choice ;
  

  x= p.GetXDistance();
  y= p.GetYDistance();
  

  if ((x>=5.3)&&(x<=7.0)&&(y>=4.4)&&(y<=4.78)) {choice = 'A' ;flag = 1 ;} 
  if ((x>=5.3)&&(x<=7.5)&&(y>=5.4)&&(y<=5.78))  {choice = 'M' ;flag = 1 ;}
  if ((x>=5.3)&&(x<=6.5)&&(y>=6.4)&&(y<=6.78))  {choice = 'R' ;flag = 1 ;}
  if ((x>=5.4)&&(x<=6.3)&&(y>=7.4)&&(y<=7.78))  {choice = 'F' ;flag = 1 ;}
  if ((x>=5.3)&&(x<=7.1)&&(y>=8.4)&&(y<=8.78))  {choice = 'S' ;flag = 1 ;}
  if ((x>=5.3)&&(x<=6.3)&&(y>=9.4)&&(y<=9.78))  {choice = 'E' ;flag = 1 ;}

   	if (flag==1)
    	{ 		
		
		w.Close();
		
		switch(choice)
		{	case 'A':about();
				 break;
			case 'M':membership();
				 break;
			case 'R':rooms();
				 break;
			case 'F':food();
				 break;
			case 'S':services();
				 break;
			case 'E':db_file.close();
				id_db_file.close();
				system("clear");
			default:return 0;
		}
	
	}
     
	else  
	w.SetMouseClickCallback(wMouseClick);
    
  return 1 ;
}



