#include<iostream>
#include<fstream>
#include<cassert>
#include <ezwin.h>
#include"circle.h"
#include"shape.h"
#include "SimpleWindow.h"
#include"membership_functions.h"


SimpleWindow wa("ABOUT US",15.0,14.0,Position(7.0,3.0));
SimpleWindow wm("MEMBERSHIP",15.0,12.0,Position(7.0,3.0));
SimpleWindow wf("FOOD ",15.0,14.0,Position(7.0,3.0));
SimpleWindow wk("SERVICES",23.0,14.0,Position(3.0,3.0));
SimpleWindow wr("ROOMS",20.0,14.0,Position(4.0,3.0));
SimpleWindow tp("..",0.05,0.05,Position(40.0,40.0));



int wmMouseClick(const Position &);
int waMouseClick(const Position &);
int wfMouseClick(const Position &);
int wkMouseClick(const Position &);
int wrMouseClick(const Position &);
 
//ABOUT FUNCTION STARTS HERE
void about()
{	
	wa.Open();
	assert(wa.GetStatus() == WindowOpen); 

	wa.RenderText(Position(5.5,1.5),Position(9.5,3.0),"ABOUT THE CLUB" , Blue,Yellow);
	wa.RenderText(Position(3.0,4.0),Position(12.0,4.5)," The RIVERSIDE CLUB was founded in 2000 for people " , Red,White);
	wa.RenderText(Position(3.0,4.5),Position(12.0,5.0),"to enjoy the best holidays. It is situated on the" , Red,White);
	wa.RenderText(Position(3.0,5.0),Position(12.0,5.5)," GANGA RIVERFRONT." , Red,White);
	wa.RenderText(Position(3.0,6.5),Position(12.0,7.0),"COMPANY PROFILE:" , Blue,White);
	wa.RenderText(Position(1.4,7.0),Position(12.0,7.5),"1) Corporate ID: RIVERSIDE RESORT", Red,White); 
	wa.RenderText(Position(0.5,7.5),Position(9.5,8.0),"2) Type: PUBLIC ", Red,White);
	wa.RenderText(Position(1.0,8.0),Position(11.5,8.5),"3) Founded: 25th August, 2000" , Red,White);
	wa.RenderText(Position(1.3,8.5),Position(10.0,9.0),"4) Founders: YASH PATEL", Red,White);
	wa.RenderText(Position(2.3,9.0),Position(13.0,9.5),"5) Email ID: admin@theriversideresort.com " , Red,White);
	wa.RenderText(Position(6.0,12.0),Position(8.0,12.5),"EXIT" , Blue,Yellow);
	
	//wa.RenderText(Position(3.0,3.0),Position(12.0,4.0),"" , Red,White);

	wa.SetMouseClickCallback(waMouseClick);	
	
	
}

int waMouseClick(const Position &p)
{	int flag=0;
	float x, y ;
  	char choice ;
        

  	x= p.GetXDistance();
  	y= p.GetYDistance();
        
  if ((x>=6.0)&&(x<=8.0)&&(y>=12.0)&&(y<=12.5))  {choice = 'E' ;flag = 1 ;} 
  
   	if (flag==1)
    	{	
		wa.Close();
		
                switch(choice)
		{	case 'M':break;
			case 'E':return 0;

			default: return 0;
		}
	
	}
     

	else  
	wa.SetMouseClickCallback(waMouseClick);
    
  return 1 ;

}

//ABOUT FUNCTION ENDS HERE	


	   
//MEMBERSHIP FUNCTION STARTS HERE	 
void membership()
{			
	wm.Open();
	assert(wm.GetStatus() == WindowOpen);
	wm.RenderText(Position(5.5,3.0),Position(9.5,4.0),"MEMBERSHIP MENU" , Yellow,Black);
	wm.RenderText(Position(3.0,5.0),Position(12.0,5.5)," 1)MEMBERSHIP APPLY(A)." , Black,Green);
	wm.RenderText(Position(3.0,5.5),Position(12.0,6.0)," 2)ADD POINTS(P)." , Black,Green);
	wm.RenderText(Position(3.0,6.0),Position(12.0,6.5)," 3)DELETE MEMBERSHIP(D)." ,Black,Green);
	wm.RenderText(Position(3.0,6.5),Position(12.0,7.0)," 4)VIEW MEMBERSHIP DETAILS(V).",Black,Green);
	wm.RenderText(Position(3.0,7.0),Position(12.0,7.5),"5)EXIT(X).",Black,Green); 
	wm.RenderText(Position(4.0,9.0),Position(11.0,9.5),"PLEASE MINIMIZE THE WINDOW TO GO TO THE TERMINAL",Black,Green); 
	
	wm.SetMouseClickCallback(wmMouseClick);
	
}

void wmclose()
{	
	wm.Close();
}

int wmMouseClick(const Position &p)
{
	int flag=0;
	float x, y ;
  	char choice ;
  

  x= p.GetXDistance();
  y= p.GetYDistance();
  

  if ((x>=3.0)&&(x<=12.0)&&(y>=5.0)&&(y<=5.5))  {choice = 'A' ;flag = 1 ;} 
  if ((x>=3.0)&&(x<=12.0)&&(y>=5.5)&&(y<=6.0))  {choice = 'P' ;flag = 1 ;}
  if ((x>=3.0)&&(x<=12.0)&&(y>=6.0)&&(y<=6.5))  {choice = 'D' ;flag = 1 ;}
  if ((x>=3.0)&&(x<=12.0)&&(y>=6.5)&&(y<=7.0))  {choice = 'V' ;flag = 1 ;}
  if ((x>=3.0)&&(x<=12.0)&&(y>=7.0)&&(y<=7.5))  {choice = 'E' ;flag = 1 ;}
  

   	if (flag==1)
	{	
		switch(choice)
		{	case 'A':{	wmclose();
					tp.Open();
					tp.Close();	
					mem_apply();
				 }
				 break;
			case 'P':{	wmclose();
					tp.Open();
					tp.Close();			
					mem_add_points();
				 }
				 break;
			case 'D':{	wmclose();
					tp.Open();
					tp.Close();		
					mem_delete();
				 }
	                         break;
			case 'V':{	wmclose();
					tp.Open();
					tp.Close();		
					mem_view();
				 }
				 break;
			case 'E':{	wmclose();
					tp.Open();
					tp.Close();		
					cout<<"exit"<<endl;
				 	system("clear");
				 }			
				 break;
			default:return 0;
		}
		
	
	}
     

	else  
	wm.SetMouseClickCallback(wmMouseClick);
    
  return 1 ;
}

//MEMBERSHIP FUNCTION ENDS HERE


//ROOMS FUNCTION STARTS HERE

void rooms()
{

   
       wr.Open();
       assert(wr.GetStatus() == WindowOpen);
       wr.RenderText(Position(9.5,0.0),Position(10.5,1.0),"ROOMS" , Blue,Yellow);
       wr.RenderText(Position(4.0,1.0),Position(15.0,1.5),"We have single as well as double rooms." , Red,White);
       wr.RenderText(Position(4.0,1.5),Position(15.0,2.0),"Rooms at the ground floor offer private terrace and access into the gardens. " ,Red,White);
       wr.RenderText(Position(4.0,2.0),Position(15.0,2.5),"The rooms at the upper level offer balconies with view of the lake." , Red,White);
       wr.RenderText(Position(4.0,2.5),Position(15.0,3.0),"Amenities in each of the rooms include " , Blue,White);
       wr.RenderText(Position(4.0,3.0),Position(15.0,3.5),"1. Air conditioning" , Red,White);
       wr.RenderText(Position(4.0,3.5),Position(15.0,4.0),"2. Privacy " , Red,White);
       wr.RenderText(Position(4.0,4.0),Position(15.0,4.5),"3. Satellite-TV " , Red,White);
       wr.RenderText(Position(4.0,4.5),Position(15.0,5.0),"4. Broadband WiFI-Internet access " , Red,White);
       wr.RenderText(Position(4.0,5.0),Position(15.0,5.5),"5. Beach Towels " , Red,White);
       wr.RenderText(Position(4.0,6.0),Position(15.0,7.0),"SUITE facilities " , Blue,White);
       wr.RenderText(Position(4.0,7.0),Position(15.0,7.5),"1. SPA BATH " , Red,White);
       wr.RenderText(Position(4.0,7.5),Position(15.0,8.0),"2. INFRARED DRY SAUNA " , Red,White);
       wr.RenderText(Position(4.0,8.0),Position(15.0,8.5),"3. SPA SHOWER " , Red,White);
       wr.RenderText(Position(4.0,8.5),Position(15.0,9.0),"4. TANNING SHOWER " , Red,White);
       wr.RenderText(Position(4.0,9.0),Position(15.0,9.5),"5. ELECTRONIC FAUCET " , Red,White);
       wr.RenderText(Position(4.0,9.5),Position(15.0,10.0),"6. BIDET " , Red,White);
       wr.RenderText(Position(4.0,11.0),Position(15.0,12.0)," *HAVE A NICE STAY* " , Red,White);
       wr.RenderText(Position(9.5,12.0),Position(10.5,12.5),"EXIT" , Blue,Yellow);
       
       
       wr.SetMouseClickCallback(wrMouseClick);   
   

}
int wrMouseClick(const Position &p)
{	int flag=0;
 	float x, y ;
      	char choice ;
 

      	x= p.GetXDistance();
      	y= p.GetYDistance();
 

  	if ((x>=9.5)&&(x<=10.5)&&(y>=12.0)&&(y<=12.5))  {choice = 'E' ;flag = 1 ;}
  	
 
	if (flag==1)
        {        
        	cout<<choice<<endl;
        	wr.Close();
        	
		system("clear");
		return 0;
                
   
    	}
    

    	else 
    	wr.SetMouseClickCallback(wrMouseClick);
   
  	return 1 ;


}

// ROOMS FUNCTION ENDS HERE



	
//FOOD FUNCTION STARTS HERE
void food()
{	wf.Open();
	assert(wf.GetStatus() == WindowOpen);					
	
	wf.RenderText(Position(3.0,3.0),Position(12.0,3.5),"RESTAURANT & FOOD", Blue,Yellow);
	wf.RenderText(Position(3.0,5.0),Position(12.0,6.0),"From refined gourmet dining to bountiful buffets and" , Red,White);
	wf.RenderText(Position(3.0,6.0),Position(12.0,7.0),"quick meals on the move, the choices are sure to" , Red,White);
	wf.RenderText(Position(3.0,7.0),Position(12.0,8.0),"satisfy your every culinary desire. There's a restaurant" , Red,White);
	wf.RenderText(Position(3.0,8.0),Position(12.0,9.0),"for every taste and budget, with a variety of atmospheres" , Red,White);
	wf.RenderText(Position(3.0,9.0),Position(12.0,10.0),"to satisfy whatever suits your mood." , Red,White);
	wf.RenderText(Position(7.0,12.0),Position(8.0,12.5),"EXIT" , Blue,Yellow);
	wf.RenderText(Position(3.0,13.0),Position(12.0,14.0),"" , Red,White);
			
	wf.SetMouseClickCallback(wfMouseClick);	
	
	
}

int wfMouseClick(const Position &p)
{	int flag=0;
	float x, y ;
  	char choice ;
  

  	x= p.GetXDistance();
  	y= p.GetYDistance();
  

  if ((x>=7.0)&&(x<=8.0)&&(y>=12.0)&&(y<=12.5))  {choice = 'E' ;flag = 1 ;} 
  

   	if (flag==1)
    	{ 		
		wf.Close();

		switch(choice)
		{	case 'M':cout<<"main menu called"<<endl;
				 break;
			case 'E':return 0;
				 break;			
			default:return 0;
		}
	
	}
     

	else  
	wf.SetMouseClickCallback(wfMouseClick);
    
  return 1 ;


}

//FOOD FUNCTION ENDS HERE


//SERVICES FUNCTION STARTS HERE

void services()
{	char ch;	
	wk.Open();
	assert(wk.GetStatus() == WindowOpen);

	wk.RenderText(Position(4.0,0.5),Position(18.0,1.0),"SERVICES", Blue,Yellow);
	wk.RenderText(Position(4.0,1.5),Position(18.0,2.0),"We are one of the finest and the most renowned clubs in Asia.", Blue,White);
wk.RenderText(Position(4.0,2.0),Position(18.0,2.5),"We provide our customers with one of the most finest and luxurious facility in the world.",Blue,White);
	wk.RenderText(Position(4.0,2.5),Position(18.0,3.0),"we provide transpotation facilities from airport/railway station to our hotels.", Blue,White);
	wk.RenderText(Position(4.0,5.0),Position(18.0,5.5),"The different services that we offer include:",Red,White);
	wk.RenderText(Position(4.0,5.5),Position(18.0,6.0),"* Airport Transfers ( 24 hours)",Red,White);
	wk.RenderText(Position(4.0,6.0),Position(18.0,6.5),"* Car rentals ( 24 hours)",Red,White);
	wk.RenderText(Position(4.0,6.5),Position(18.0,7.0),"* Railway ticket bookings",Red,White);
	wk.RenderText(Position(4.0,7.0),Position(18.0,7.5),"* Air bookings ( Domestic / International )",Red,White);
	wk.RenderText(Position(4.0,7.5),Position(18.0,8.0),"* Heritage Visit tours ( cars )",Red,White);
	wk.RenderText(Position(4.0,8.0),Position(18.0,8.5),"* Money transfers",Red,White);
	wk.RenderText(Position(10.6,12.0),Position(12.0,12.5),"EXIT" , Blue,Yellow);
	wk.RenderText(Position(3.0,13.0),Position(12.0,14.0),"" , Red,White);	
	
wk.SetMouseClickCallback(wkMouseClick);
}

int wkMouseClick(const Position &p)
{	int flag=0;
	float x, y ;
  	char choice ;
  

  	x= p.GetXDistance();
  	y= p.GetYDistance();
  

  if ((x>=10.6)&&(x<=12.0)&&(y>=12.0)&&(y<=12.5))  {choice = 'E' ;flag = 1 ;} 
  
   	if (flag==1)
    	{ 	wk.Close();	
		
		switch(choice)
		{	case 'M':cout<<"main menu called."<<endl;
				 break;
			case 'E':return 0;
				 break;
			default:return 0;
		}
	
	}
     

	else  
	wk.SetMouseClickCallback(wkMouseClick);
    
  return 1 ;

}

//SERVICES FUNCTION ENDS HERE
